org.flexdock.dockbar.layout

## Class DockbarLayoutManager

- java.lang.Object
- - org.flexdock.dockbar.layout.DockbarLayoutManager

-     public class DockbarLayoutManager
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockbarLayoutManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getEdgeGuide(DockbarManager mgr, int edge)`
    `java.awt.Rectangle` | `getLayoutArea(DockbarManager mgr)`
    `static DockbarLayoutManager` | `getManager()`
    `java.awt.Rectangle` | `getViewArea(DockbarManager mgr, Dockable dockable)`
    `static void` | `setManager(DockbarLayoutManager mgr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockbarLayoutManager

          public DockbarLayoutManager()

  - ### Method Detail

    - #### getManager

          public static DockbarLayoutManager getManager()

    - #### setManager

          public static void setManager(DockbarLayoutManager mgr)

    - #### getViewArea

          public java.awt.Rectangle getViewArea(DockbarManager mgr,
                                       Dockable dockable)

    - #### getLayoutArea

          public java.awt.Rectangle getLayoutArea(DockbarManager mgr)

    - #### getEdgeGuide

          public javax.swing.JComponent getEdgeGuide(DockbarManager mgr,
                                            int edge)